summaryrefslogtreecommitdiff
path: root/shell/key-bindings.bash
diff options
context:
space:
mode:
Diffstat (limited to 'shell/key-bindings.bash')
-rw-r--r--shell/key-bindings.bash7
1 files changed, 3 insertions, 4 deletions
diff --git a/shell/key-bindings.bash b/shell/key-bindings.bash
index 398f66e4..e57f2af8 100644
--- a/shell/key-bindings.bash
+++ b/shell/key-bindings.bash
@@ -11,6 +11,9 @@
# - $FZF_ALT_C_COMMAND
# - $FZF_ALT_C_OPTS
+[[ $- =~ i ]] || return 0
+
+
# Key bindings
# ------------
__fzf_select__() {
@@ -27,8 +30,6 @@ __fzf_select__() {
done
}
-if [[ $- =~ i ]]; then
-
__fzfcmd() {
[[ -n "${TMUX_PANE-}" ]] && { [[ "${FZF_TMUX:-0}" != 0 ]] || [[ -n "${FZF_TMUX_OPTS-}" ]]; } &&
echo "fzf-tmux ${FZF_TMUX_OPTS:--d${FZF_TMUX_HEIGHT:-40%}} -- " || echo "fzf"
@@ -130,5 +131,3 @@ fi
bind -m emacs-standard '"\ec": " \C-b\C-k \C-u`__fzf_cd__`\e\C-e\er\C-m\C-y\C-h\e \C-y\ey\C-x\C-x\C-d"'
bind -m vi-command '"\ec": "\C-z\ec\C-z"'
bind -m vi-insert '"\ec": "\C-z\ec\C-z"'
-
-fi